%define lib_major 1
%define libname %mklibname %{name} %{lib_major}
%define develname %mklibname -d %{name}

Summary:	Command for manipulating access control lists
Name:		acl
Version:	2.2.51
Release:	9
License:	GPLv2+ and LGPLv2
Group:		System/Kernel and hardware
URL:		http://savannah.nongnu.org/projects/acl
Source0:	http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.src.tar.gz
Source1:	http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.src.tar.gz.sig
Patch0:		acl-2.2.51-l10n-ru.patch
BuildRequires:	attr-devel
BuildRequires:	autoconf automake libtool

%description
This package contains the getfacl and setfacl utilities needed for
manipulating access control lists.

%package -n	%{libname}
Summary:	Main library for libacl
Group:		System/Libraries

%description -n	%{libname}
This package contains the libacl dynamic library which contains
the POSIX 1003.1e draft standard 17 functions for manipulating access
control lists.

%package -n	%{develname}
Summary:	Access control list static libraries and headers
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	acl-devel = %{version}-%{release}
Obsoletes:	%{mklibname -d acl 0} < %{version}-%{release}
Obsoletes:	%{mklibname -d acl 1} < %{version}-%{release}

%description -n	%{develname}
This package contains static libraries and header files needed to develop
programs which make use of the access control list programming interface
defined in POSIX 1003.1e draft standard 17.

You should install %{develname} if you want to develop programs
which make use of ACLs. If you install %{develname}, you will
also want to install %{libname}.

%prep
%setup -q
%patch0 -p1

# Fix unreadable files
find . -perm 0640 -exec chmod 0644 '{}' \;

%build
%configure2_5x \
	--libdir=/%{_lib} \
	--sbindir=/bin \
	--disable-static
%make

%install
make install DIST_ROOT=%{buildroot}/
make install-dev DIST_ROOT=%{buildroot}/
make install-lib DIST_ROOT=%{buildroot}/

# cleanup
rm -f %{buildroot}/%{_lib}/*.a
rm -f %{buildroot}/%{_lib}/*.la
rm -rf %{buildroot}%{_docdir}/acl

# To avoid unstripped-binary-or-object rpmlint error
chmod 0755 %{buildroot}/%{_lib}/*.so.%{lib_major}*

%find_lang %{name}

%files -f %{name}.lang
%doc doc/CHANGES.gz doc/COPYING README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n %{libname}
%doc doc/COPYING
/%{_lib}/*.so.%{lib_major}*

%files -n %{develname}
%doc doc/extensions.txt doc/COPYING doc/libacl.txt
/%{_lib}/*.so
%{_libdir}/*.so
%{_mandir}/man3/*
%dir %{_includedir}/acl
%{_includedir}/acl/libacl.h
%{_includedir}/sys/acl.h


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.2.51-9
+ Revision: bda0766
- MassBuild#440: Increase release tag


